compact1, compact2, compact3
java.lang

## Class InstantiationError

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Error
    - - java.lang.LinkageError
      - - java.lang.IncompatibleClassChangeError
        - - java.lang.InstantiationError

- All Implemented Interfaces:
    Serializable

      public class InstantiationError
      extends IncompatibleClassChangeError

  Thrown when an application tries to use the Java `new` construct to instantiate an abstract class or an interface.

  Normally, this error is caught by the compiler; this error can only occur at run time if the definition of a class has incompatibly changed.

  Since:
    JDK1.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `InstantiationError()` | Constructs an `InstantiationError` with no detail message.
    `InstantiationError(String s)` | Constructs an `InstantiationError` with the specified detail message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InstantiationError

          public InstantiationError()

      Constructs an `InstantiationError` with no detail message.

    - #### InstantiationError

          public InstantiationError(String s)

      Constructs an `InstantiationError` with the specified detail message.
      Parameters:
        `s` - the detail message.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.